VMTKMESHMERGE(1)

NAME
vmtkmeshmerge - vmtk script vmtkmeshmerge

DESCRIPTION
Automatic piping vmtkmeshmerge Parsing options vmtkmeshmerge

vmtkmeshmerge : Merge two or three meshes into one.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored

-mesh1 Mesh1 (vtkUnstructuredGrid,1): mesh number 1 to merge

-mesh1file Mesh1InputFileName (str,1): filename for the default

    Mesh1 reader

-mesh2 Mesh2 (vtkUnstructuredGrid,1): mesh number 2 to merge

-mesh2file Mesh2InputFileName (str,1): filename for the default

    Mesh2 reader

-mesh3 Mesh3 (vtkUnstructuredGrid,1): mesh number 3 to merge

-mesh3file Mesh3InputFileName (str,1): filename for the default

    Mesh3 reader

-mesh4 Mesh4 (vtkUnstructuredGrid,1): mesh number 4 to merge

-mesh4file Mesh4InputFileName (str,1): filename for the default

    Mesh4 reader

-mesh5 Mesh5 (vtkUnstructuredGrid,1): mesh number 5 to merge

-mesh5file Mesh5InputFileName (str,1): filename for the default

    Mesh5 reader

-mesh6 Mesh6 (vtkUnstructuredGrid,1): mesh number 6 to merge

-mesh6file Mesh6InputFileName (str,1): filename for the default

    Mesh6 reader

-mesh7 Mesh7 (vtkUnstructuredGrid,1): mesh number 7 to merge

-mesh7file Mesh7InputFileName (str,1): filename for the default

    Mesh7 reader

-cellentityidoffset1 CellEntityIdOffset1 (int,1); default=None:

    offset added to cell entity ids from mesh1

-cellentityidoffset2 CellEntityIdOffset2 (int,1); default=None:

    offset added to cell entity ids from mesh2

-cellentityidoffset3 CellEntityIdOffset3 (int,1); default=None:

    offset added to cell entity ids from mesh3

-cellentityidoffset4 CellEntityIdOffset4 (int,1); default=None:

    offset added to cell entity ids from mesh4

-cellentityidoffset5 CellEntityIdOffset5 (int,1); default=None:

    offset added to cell entity ids from mesh5

-cellentityidoffset6 CellEntityIdOffset6 (int,1); default=None:

    offset added to cell entity ids from mesh6

-cellentityidoffset7 CellEntityIdOffset7 (int,1); default=None:

    offset added to cell entity ids from mesh7

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored